- content_for :page_specific_javascripts do
  = page_specific_javascript_bundle_tag('merge_request_widget')

%h4
  Set by #{link_to_member(@project, @merge_request.merge_user, avatar: true)}
  to be merged automatically when the pipeline succeeds.
%div
  %p
    = succeed '.' do
      The changes will be
      - if @merge_request.squash
        squashed and
      - if @project.merge_requests_ff_only_enabled
        fast-forward
      merged into
      %span.label-branch= @merge_request.target_branch
    - if @merge_request.remove_source_branch?
      The source branch will be removed.
    - else
      The source branch will not be removed.

  - remove_source_branch_button = !@merge_request.remove_source_branch? && @merge_request.can_remove_source_branch?(current_user) && @merge_request.merge_user == current_user
  - user_can_cancel_automatic_merge = @merge_request.can_cancel_merge_when_pipeline_succeeds?(current_user)
  - if remove_source_branch_button || user_can_cancel_automatic_merge
    .clearfix.prepend-top-10
      - if remove_source_branch_button
        = link_to merge_namespace_project_merge_request_path(@merge_request.target_project.namespace, @merge_request.target_project, @merge_request, merge_params(@merge_request)), remote: true, method: :post, class: "btn btn-grouped btn-primary btn-sm remove_source_branch" do
          = icon('times')
          Remove Source Branch When Merged

      - if user_can_cancel_automatic_merge
        = link_to cancel_merge_when_pipeline_succeeds_namespace_project_merge_request_path(@merge_request.target_project.namespace, @merge_request.target_project, @merge_request), remote: true, method: :post, class: "btn btn-grouped btn-sm" do
          Cancel Automatic Merge
